﻿.defaultText {
    color: #374A5D;
}

.neutrals700 {
    color: #94B3C0;
}

.neutrals800 {
    color: #7198A8;
}

.primary700 {
    color: #778228;
}

.error200 {
    color: #FBE4E4;
}

.error500 {
    color: #E44646 !important;
}

.success500 {
    color: #55D284 !important;
}


.bgrror200 {
    background-color: #FBE4E4;
}

.bgsuccess500 {
    background-color: #55D284;
}

.mentiontext {
    color: #8C99A5;
}

.bgwhite {
    background-color: #FFFFFF;
}

.borderneutral700 {
    border-color: #94B3C0;
}

.bgneutrals300 {
    background-color: #F0F7F9;
}

.bgneutrals400 {
    background-color: #E1EEF4;
}

.bgprimary100 {
    background-color: #F9FBEC;
}
.bgprimary500 {
    background-color: #C7D943;
}

.bgprimary600 {
    background-color: #9FAE36;
}

.bgprimary700 {
    background-color: #778228;
}

.bgneutrals200 {
    background-color: #F7FBFC !important;
}

.bgsecondary500 {
    background-color: #FC7753 !important;
}

.bgtransparent {
    background-color: transparent !important;
}

.btnEil {
    padding: 12px !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    cursor: pointer;
    text-decoration: none !important;
    border-radius: 10px !important;
    border: 1px solid transparent !important;
}

.btnIcon {
    padding: 12px !important;
    display: flex;
    align-items: center !important;
    justify-content: center !important;
    cursor: pointer;
    text-decoration: none !important;
    border-radius: 10px !important;
    border: 1px solid #D9EAF1 !important;
    background-color: #FFFFFF;
    gap: .5rem;
}

.btnIconGestionColi p {
    margin: 0 !important;
}


.btnEilSmall {
    padding: 2px 8px !important;
}

.btnError200 {
    background-color: #FFF4F4 !important;
    color: #E44646 !important;
    border-color: #FBE4E4 !important;
}

.btnError700 {  
    background-color: #E44646 !important;
    color: white !important;
    border-color: #E44646 !important;
}

.btnError700:hover {   
    background-color: #FC8484 !important;
    border-color: #FC8484 !important;
}

.btnPrimary700 {
    background-color: #9FAE36 !important;
    color: white !important;
    border-color: #9FAE36 !important;
}

.btnPrimary700:hover {
    background-color: #C7D943 !important;
    border-color: #C7D943 !important;
}

.btnPrimary700:active {
    background-color: #50571B !important;
    border-color: #50571B !important;
}

.btnPrimary700:focus {
    box-shadow: 0 0 0px 0px rgba(255, 99, 88, 0.3) !important;
}


.btnPrimary700.disabled, .btnPrimary700.disabled:hover, .btnPrimary700:disabled, .btnPrimary700:disabled:hover {
    background-color: #9FAE36 !important;
    color: white !important;
    border-color: #9FAE36 !important;
    opacity: 0.6;
    cursor: not-allowed;
    }

.btnSecondary:disabled, .btnSecondary:disabled:hover {
    color: #374A5D !important;
    background-color: #ffffff !important;
    border-color: #D9EAF1 !important;
    opacity: 0.6;
    cursor: not-allowed;
}

.btnPrimary700Loading {
    background-color: #778228;
    color: #FFFFFFB2;
}

.btnSecondary {
    color: #374A5D !important;
    background-color: #ffffff !important;
    border-color: #D9EAF1 !important;
}

    .btnSecondary:hover {
        border-color: #94B3C0 !important;
    }

    .btnSecondary:active {
        border-color: #2C6177 !important;
    }

    .btnSecondary.disabled {
        border-color: #D9EAF1 !important;
        opacity: 0.6;
        cursor: not-allowed !important;
    }

.btnTertiary {
    color: #374A5D;
    background-color: transparent;
    border-color: transparent;
}

    .btnTertiary:hover {
        border-color: #F7FBFC;
        background-color: #F7FBFC;
    }

    .btnTertiary:active {
        background-color: #F0F7F9;
        border-color: #F0F7F9;
    }

.btnValidate {
    color: #ffffff;
    background-color: #55D284;
    border-color: #55D284;
}


.btnSidebar {
    background-color: #9FAE36;
    border: 1px solid #9FAE36;
    border-radius: 10px;
    padding: 12px;
    display: flex;
    align-items: center;
    color: white;
    text-decoration: none;
}

.btnSidebarMini {
    color: white !important;
    background-color: #9FAE36 !important;
    padding: 12px !important;
    border-radius: 100px !important;
}

.btnEil p {
    font-family: barlow-regular;
    margin: 0;
    padding: 0 12px;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
}

.cardEil {
    display: flex;
    width: 265px;
    height: 285px;
    padding: 16px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
    cursor: pointer;
    border-radius: 10px;
}

.cardprimary {
    border: 1px solid #50571B;
    background: #F9FBEC;
}

.cardneutral {
    background-color: #F0F7F9;
}

.hidden {
    display: none;
}

.badge {
    display: flex;
    padding: 4px 12px;
    align-items: center;
    gap: 4px;
    border-radius: 100px;
}

.badge-blue {
    background-color: #D4F9FF;
    color: #00B0CD !important;
    border: 0.5px solid #00B0CD;
}

.badge-neutral {
    background-color: #F7FBFC;
    color: #2C6177 !important;
    border: 0.5px solid #2C6177;
}

.badge-green {
    background-color: #EBF7F0;
    color: #55D284 !important;
    border: 0.5px solid #55D284;
}

.badge-orange {
    background-color: #FFF0DB;
    color: #EF8F11 !important;
    border: 0.5px solid #EF8F11;
}

.badge-red {
    background-color: #FBE4E4;
    color: #E44646 !important;
    border: 0.5px solid #E44646;
}

.tuile {
    display: flex;
    padding: 16px 56px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex: 1 0 0;
    align-self: stretch;
    border-radius: 10px;
    cursor: pointer;
}

.tuileDisabled {
    display: flex;
    padding: 16px 56px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex: 1 0 0;
    align-self: stretch;
    border-radius: 10px;
    cursor: auto;
    opacity: 0.6;
}

.tuileActive {
    border: 1px solid #50571B;
    background: #F9FBEC;
}

    .tuileActive div {
        color: #3C4114 !important;
    }

.tuileInactive {
    background: #F0F7F9;
}

    .tuileInactive div {
        color: #2C6177 !important;
    }

.inputField {
    border: 1px solid #D9EAF1;
    border-radius: 10px;
    gap: 8px;
    padding: 10px 12px;
}

    .inputField:focus {
        outline: none;
        border: 1px solid #9747FF;
    }

    .inputField.disabled {
        opacity: 0.6;
    }

.displayNone {
    display: none !important;
}

.inputField::-webkit-inner-spin-button,
.inputField::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.inputField[type="number"] {
    -moz-appearance: textfield;
}

.swal2-container {
    z-index: 20000;
}

.HoverSelectresponsable {
    cursor: pointer;
    color: transparent;
}

    .HoverSelectresponsable:hover {
        cursor: pointer;
        color: black;
    }



.search-container {
    position: relative;
    width: 100%;
    transition: opacity 0.3s ease;
}

    .search-container:has(input:disabled) {
        opacity: 40%;
    }

    .search-container input {
        width: 100%;
        padding: 10px 10px 10px 40px;
        font-size: 16px;
        background-color: white;
    }

        .search-container input:disabled {
            background-color: #D9EAF1;
        }


    .search-container img {
        position: absolute;
        left: 10px;
        top: 50%;
        transform: translateY(-50%);
        height: 23px;
    }

    .search-container.no-support img, .search-container.no-support input:disabled {
        opacity: 40%;
    }

#pagerLaboratoryCollaborators {
    background-color: transparent;
    border-color: transparent;
}

.rotate-180 {
    transform: rotate(180deg);
}

.chevron-icon {
    transition: transform 0.3s ease;
}

.borderNeutrals {
    border: 1px solid #D9EAF1;
}

.neutralHR {
    background-color: #D9EAF1;
    opacity: 1;
    margin: 1rem;
}

.k-badge-outline-warning {
    color: #ff7f00 !important;
}

.k-badge {
    text-wrap: auto !important;
}

.vl {
    border-left: 1px solid #D9EAF1;
    height: 30px;
    position: relative;
    top: 4px;
}

.vlTop {
    border-left: 1px solid #D9EAF1;
    height: 15px;
    position: relative;
    top: 4px;
}
.vlBottom {
    border-left: 1px solid #D9EAF1;
    height: 15px;
    position: relative;
    bottom: 4px;
}

.documentTiles {
    box-shadow: 0px 4px 8px 0px #1211121F;
    border-radius: 15px;
}

    .documentTiles:hover {
        box-shadow: 0px 13px 24px 0px #12111229;
    }

.inputDocumentTiles {
    border: 2px dashed #B6CFD9;
    background: #F7FBFC;
    border-radius: 15px;
    cursor: pointer;
    transition: background-color 0.3s, border 0.3s;
}

.cursorProgress {
    cursor: wait;
}

.textSkeletonWait {
    cursor: wait;
}

.documentTilesSelected {
    border-radius: 15px;
    box-shadow: 0px 4px 8px 0px #1211121F;
    background: #F9FBEC;
    border: 1px solid #50571B;
}

.inputDocumentTiles.dragover {
    border-color: #4CAF50;
    background-color: #f0fff0;
    color: #4CAF50;
}

.inputDocumentTiles.error {
    border: 2px dashed red;
    background-color: #ffe6e6;
}

.btnMenuhover {
    align-items: center;
}
.btnMenuhover:hover {
    background: #F0F7F9;
    border-radius: 10px;
}

#SideBar {
    border-radius: 0px 16px 16px 0px;
    box-shadow: 0px 4px 16px 0px #1211121F;
}

.btnPreregistration {
    background-color: white;
    position: relative;
    padding: 2px !important;
    padding-right: 2px;
    margin-top: 1px;
    margin-bottom: 1px;
    justify-content: end !important;
    padding-right: 15% !important;
}


.add-icon {
    position: absolute;
    width: 28px; /* Largeur du rond */
    height: 28px; /* Hauteur du rond */
    background-color: #9FAE36; /* Couleur du rond */
    border-radius: 50%; /* Rendre l'élément circulaire */
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    left: -12px;
    font-size: 20px; /* Taille du texte */
    /*transition: opacity 0.3s;*/
}

#swal2-title {
    line-height: 1.2 !important;
}

.box-shadow-card {
    box-shadow: 0px 1px 4px 0px #1211121F;
}

.colorPrimary600 {
    color: #9FAE36;
}

.btnAddTest {
    border: 2px dashed #B6CFD9;
    background-color: #F7FBFC;
    display: flex;
    padding: 8px;
    gap: 8px;
    align-items: center;
    border-radius: 12px;
}

.iconAddTest {
    width: 35px;
    height: 35px;
    background-color: #B6CFD9;
    border-color: #B6CFD9 !important;
}